curl --request GET \
--url https://api.voxnexus.ai/v1/voices/{voice_id} \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.voxnexus.ai/v1/voices/{voice_id}"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.voxnexus.ai/v1/voices/{voice_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"voice_id": "vn-xiaoxiao",
"name": "Xiaoxiao",
"gender": "female",
"primary_locale": "zh-CN",
"display_name": "Xiaoxiao",
"category": "premade",
"description": "A warm and friendly female voice, suitable for general scenarios",
"is_multilingual": true,
"supported_locales": [
{
"locale": "zh-CN",
"language": "zh",
"locale_name": "Chinese (Simplified, China)",
"accent": "mandarin",
"preview_url": "https://api.voxnexus.ai/samples/vn-xiaoxiao/zh-CN.mp3",
"is_primary": true
}
],
"labels": {
"personalities": [
"warm",
"friendly"
],
"scenarios": [
"assistant",
"news"
]
},
"preview_url": "https://api.voxnexus.ai/samples/vn-xiaoxiao.mp3",
"config_schema": {
"style": {
"type": "string",
"description": "Speaking style",
"enum": [
"cheerful",
"sad"
]
}
},
"models": [
"vn-tts-basic",
"vn-tts-ultra"
]
}{
"error": "Invalid request parameters",
"code": "INVALID_REQUEST",
"details": "Detailed error information",
"request_id": "req_1234567890"
}{
"error": "Invalid request parameters",
"code": "INVALID_REQUEST",
"details": "Detailed error information",
"request_id": "req_1234567890"
}{
"error": "Invalid request parameters",
"code": "INVALID_REQUEST",
"details": "Detailed error information",
"request_id": "req_1234567890"
}Get Voice Details
Get detailed information of a specific voice
Authorizations
Authenticate using X-Api-Key header
Path Parameters
Voice unique identifier
"vn-xiaoxiao"
Response
Successfully returns voice details
Voice unique identifier
"vn-xiaoxiao"
Voice name
"Xiaoxiao"
Gender
male, female, neutral "female"
Primary locale code
"zh-CN"
Display name (localized)
"Xiaoxiao"
Voice category
premade, cloned, generated "premade"
Voice description
"A warm and friendly female voice, suitable for general scenarios"
Whether the voice supports multiple languages
true
List of supported locales with details
Show child attributes
Show child attributes
Display labels (personalities, scenarios, etc.)
{
"personalities": ["warm", "friendly"],
"scenarios": ["assistant", "news"]
}
Default sample audio URL
"https://api.voxnexus.ai/samples/vn-xiaoxiao.mp3"
Supported voice_config keys — a flat map from key to its definition (type/description/enum). Omitted when the voice has no configurable keys
{
"style": {
"type": "string",
"description": "Speaking style",
"enum": ["cheerful", "sad"]
}
}
List of supported model IDs for this voice
["vn-tts-basic", "vn-tts-ultra"]

